>From 43f03a8254c24f49d5f7f1878ae352cc98326567 Mon Sep 17 00:00:00 2001
From: Joshua Ashton <joshua@froggi.es>
Date: Thu, 5 Mar 2020 16:16:51 +0000
Subject: [PATCH 3/4] winevulkan: Remove unnecessary checks in
 wine_vkCmdExecuteCommands

The Vulkan spec states commandBufferCount must be greater than zero and pCommandBuffers must be a valid pointer.

Signed-off-by: Joshua Ashton <joshua@froggi.es>
---
 dlls/winevulkan/vulkan.c | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/dlls/winevulkan/vulkan.c b/dlls/winevulkan/vulkan.c
index 1cc1b4f61f..f767b86dc4 100644
--- a/dlls/winevulkan/vulkan.c
+++ b/dlls/winevulkan/vulkan.c
@@ -517,9 +517,6 @@ void WINAPI wine_vkCmdExecuteCommands(VkCommandBuffer buffer, uint32_t count,
 
     TRACE("%p %u %p\n", buffer, count, buffers);
 
-    if (!buffers || !count)
-        return;
-
     tmp_buffers = WINEVULKAN_ALLOCA(count * sizeof(*tmp_buffers));
 
     for (i = 0; i < count; i++)
-- 
2.25.1

